After i run your journal, i do get a line drawn, so nothing appears to be wrong with your code.
While it should also work in other environments, i'm just going to make sure it's in the modelling inveronment for the least trouble.
Now, i've added code to fit the window to view the line to better see the line.
Another possible issue i could think of, was that you disabled the layer on which the line was drawn. To ensure this is not the case, i set the line to layer 1. To access the layer manager in nx, you can press ctrl+L, and verify what layers are visible.
Imports System
Imports NXOpen
Module NXJournal
Sub Main()
Dim theSession = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work
' if nx is not in the modeling application, switch to it
If theSession.ApplicationName IsNot "UG_APP_MODELING" Then theSession.ApplicationSwitchImmediate("UG_APP_MODELING")
' create simple points (not smartpoints)
Dim p0 As New NXOpen.Point3d(1,2,3)
Dim p1 As New NXOpen.Point3d(4,7,5)
' create a line in the part
Dim line1 As NXOpen.Line = workPart.Curves.CreateLine(p0, p1)
'set the layer
line1.layer = 1
' fit to the line
workPart.ModelingViews().WorkView().Fit()
End Sub
End Module